Bullet Collision Detection & Physics Library: btDantzigSolver Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
btDantzigSolver Class Reference

original version written by Erwin Coumans, October 2013 More...

`#include <btDantzigSolver.h>`

Inheritance diagram for btDantzigSolver:
[legend]
Collaboration diagram for btDantzigSolver:
[legend]

## Public Member Functions
| btDantzigSolver ()
virtual bool | solveMLCP (const btMatrixXu &A, const btVectorXu &b, btVectorXu &x, const btVectorXu &lo, const btVectorXu &hi, const btAlignedObjectArray< int > &limitDependency, int numIterations, bool useSparsity=true)
Public Member Functions inherited from btMLCPSolverInterface
virtual | ~btMLCPSolverInterface ()
virtual bool | solveMLCP (const btMatrixXu &A, const btVectorXu &b, btVectorXu &x, const btVectorXu &lo, const btVectorXu &hi, const btAlignedObjectArray< int > &limitDependency, int numIterations, bool useSparsity=true)=0

## Protected Attributes
btScalar | m_acceptableUpperLimitSolution
btAlignedObjectArray< char > | m_tempBuffer
btAlignedObjectArray< btScalar > | m_A
btAlignedObjectArray< btScalar > | m_b
btAlignedObjectArray< btScalar > | m_x
btAlignedObjectArray< btScalar > | m_lo
btAlignedObjectArray< btScalar > | m_hi
btAlignedObjectArray< int > | m_dependencies
btDantzigScratchMemory | m_scratchMemory

## Detailed Description

original version written by Erwin Coumans, October 2013

Definition at line 23 of file btDantzigSolver.h.

## Constructor & Destructor Documentation

## ◆ btDantzigSolver()

btDantzigSolver::btDantzigSolver | ( |  | ) |
| inline

Definition at line 39 of file btDantzigSolver.h.

## Member Function Documentation

## ◆ solveMLCP()

virtual bool btDantzigSolver::solveMLCP | ( | const btMatrixXu & | A,
|  | const btVectorXu & | b,
|  | btVectorXu & | x,
|  | const btVectorXu & | lo,
|  | const btVectorXu & | hi,
|  | const btAlignedObjectArray< int > & | limitDependency,
|  | int | numIterations,
|  | bool | useSparsity = `true`
| ) |  |
| inlinevirtual

Implements btMLCPSolverInterface.

Definition at line 44 of file btDantzigSolver.h.

## Member Data Documentation

## ◆ m_A

btAlignedObjectArray<btScalar> btDantzigSolver::m_A
| protected

Definition at line 30 of file btDantzigSolver.h.

## ◆ m_acceptableUpperLimitSolution

btScalar btDantzigSolver::m_acceptableUpperLimitSolution
| protected

Definition at line 26 of file btDantzigSolver.h.

## ◆ m_b

btAlignedObjectArray<btScalar> btDantzigSolver::m_b
| protected

Definition at line 31 of file btDantzigSolver.h.

## ◆ m_dependencies

btAlignedObjectArray<int> btDantzigSolver::m_dependencies
| protected

Definition at line 35 of file btDantzigSolver.h.

## ◆ m_hi

btAlignedObjectArray<btScalar> btDantzigSolver::m_hi
| protected

Definition at line 34 of file btDantzigSolver.h.

## ◆ m_lo

btAlignedObjectArray<btScalar> btDantzigSolver::m_lo
| protected

Definition at line 33 of file btDantzigSolver.h.

## ◆ m_scratchMemory

btDantzigScratchMemory btDantzigSolver::m_scratchMemory
| protected

Definition at line 36 of file btDantzigSolver.h.

## ◆ m_tempBuffer

btAlignedObjectArray<char> btDantzigSolver::m_tempBuffer
| protected

Definition at line 28 of file btDantzigSolver.h.

## ◆ m_x

btAlignedObjectArray<btScalar> btDantzigSolver::m_x
| protected

Definition at line 32 of file btDantzigSolver.h.

The documentation for this class was generated from the following file:

- btDantzigSolver.h